Uploaded image for project: 'OpenOLAT'
  1. OpenOLAT
  2. OO-3294

Remove support for IE8, Update jQuery

    XMLWordPrintable

    Details

    • Type: Improvement
    • Status: Resolved (View Workflow)
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 13.0
    • Component/s: Framework
    • Labels:
      None

      Description

      IE8 is outdated. OpenOLAT has special legacy and shim code to support IE8 and uses an older jQuery version when it detects IE8. This jQuery version has security issues and needs to be removed. As we rate security higher as IE8 support, we remove IE8 support entirely. 

      Whether IE9 and IE10 support will also be dropped in OpenOLAT 13 is still subject of discussions.  

        Attachments

          Activity

            People

            • Assignee:
              srosse Stéphane Rossé
              Reporter:
              gnaegi Florian Gnägi
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: